#include <bits/stdc++.h>
#pragma GCC push_options
#pragma GCC optimize ("O3")
using namespace std;

/*void printmatrix(const int n){
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if((i+j>=n)||(i==0)||(j==0))
                printf("1 ");
            else
                printf("0 ");
        }
        printf("\n");
    }
}
*/
//void printsol(vector<int> &vecn,int n,int it0){

//}
int main()
{
    int n;
    scanf("%d",&n);
    vector<int> vecn(n);
    for(int i=0;i<n;i++){
        scanf("%d",&vecn[i]);
    }
    //cout<<endl;
    sort(vecn.begin(),vecn.end());

    /*for(int i=0;i<n;i++)
        printf("%d ",vecn[i]);
    cout<<endl;*/

    int it0= n/2;
    while(1){
        if(vecn[it0]<0){
            if(vecn[it0+1]>0)
                break;
            it0+=it0/2;
            }
        else
            it0-=it0/2;
    }
    //
    if(vecn[n-1]<0){
        printf("%d\n",n);
            for(int i=0;i<n;i++){
                printf("23");
            }
    }
    if(vecn[0]>0){//xi>0
        if(vecn[0]>n){
            printf("%d\n",n);
            for(int i=0;i<n;i++){
                printf("12");
            }
        }
    }


    int itp=it0+1;
    int itn=it0;
    /*while(1){
        if(vecn[itp])

        itp++;
        itn--;

    }*/


    //if()


    //else {




    //}
    /*
    for(int i=0;i<n;i++){
        printf("%d ",vecn[i]);
    }*/


    /*
    int t,n[3]={-1,-1,-1},m[3]={-1,-1,-1};
    scanf("%d",&t);

    for(int i=0;i<3;i++){
        cout<<n[i]<<' '<<m[i];
    }

    for(int i=0;i<t;i++){
        scanf("%d",&n[i]);
        scanf("%d",&m[i]);
        }
    for(int i=0;i<t;i++){
        if(n[i]!=m[i]){
            printf("-1\n");
        }
        else{
            printmatrix(n[i]);
        }
    }*/
}